<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__pwm__kill__modes" kind="group">
    <compoundname>group_tcpwm_pwm_kill_modes</compoundname>
    <title>PWM kill modes</title>
      <sectiondef kind="define">
      <memberdef id="group__group__tcpwm__pwm__kill__modes_1gae48c28ac4f7eabcebfc72b197a089284" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_STOP_ON_KILL</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>PWM stops counting on kill. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="153" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="153" />
      </memberdef>
      <memberdef id="group__group__tcpwm__pwm__kill__modes_1ga30bd47f7424c016f8476738dd4880d41" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_SYNCH_KILL</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>PWM output is killed after next TC. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="154" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="154" />
      </memberdef>
      <memberdef id="group__group__tcpwm__pwm__kill__modes_1ga6eb6ac02fe0363de9506d40eec5476e3" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_ASYNC_KILL</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>PWM output is killed instantly. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="155" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="155" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Sets the kill mode for the PWM. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>